#%define _binary_filedigest_algorithm 1
#%set_verify_elf_method skip

Name: telegram-desktop-altrepo
Version: 4.11.6
Release: alt1
Summary: Telegram Desktop messaging app
Source0: Telegram.xz
#Source0: https://updates.tdesktop.com/tlinux/tsetup.%version.tar.xz
Source1: telegram-desktop-altrepo.desktop
Source2: telegram-desktop-altrepo-icons.tgz
Source3: telegram-desktop-altrepo.appdata.xml
Source4: org.telegram.desktop.altrepo.service 

#telegramdesktop.appdata.xml

Conflicts: telegram-desktop

Obsoletes: telegram-desktop-binary < %EVR
Provides: telegram-desktop-binary = %EVR

License: GPLv3 with OpenSSL exception
Group: Networking/Instant messaging
Packager: Anton Shevtsov <shevtsov.anton@gmail.com>
Url: https://telegram.org/

%description
Telegram is a messaging app with a focus on speed and security, it's super-fast, simple and free.
You can use Telegram on all your devices at the same time - your messages
sync seamlessly across any number of your phones, tablets or computers.

With Telegram, you can send messages, photos, videos and files of any type (doc, zip, mp3, etc),
as well as create groups for up to 1000 people or channels for broadcasting to unlimited audiences.
You can write to your phone contacts and find people by their usernames.
As a result, Telegram is like SMS and email combined - and can take care of all your personal
or business messaging needs.

%prep

%setup -c %name-%version


%install

mkdir -p %buildroot%_bindir
mkdir -p %buildroot%_desktopdir
mkdir -p %buildroot%_datadir/metainfo
mkdir -p %buildroot%_iconsdir/hicolor/{16x16,32x32,48x48,64x64,128x128,256x256,512x512}
mkdir -p %buildroot%_datadir/dbus-1/services/

mv Telegram telegram
cp -f telegram %buildroot/%_bindir/telegram
ln -s telegram %buildroot/%_bindir/telegram-desktop
ln -s telegram %buildroot/%_bindir/telegramdesktop
ln -s telegram %buildroot/%_bindir/telegram-desktop-binary
ln -s telegram %buildroot/%_bindir/telegram-desktop-altrepo

cp %SOURCE1 %buildroot/%_desktopdir/%name.desktop
tar -z -x -C %buildroot%_iconsdir/hicolor/ -f %SOURCE2 

cp %SOURCE3 %buildroot%_datadir/metainfo/org.telegram.desktop.altrepo.metainfo.xml
cp %SOURCE4 %buildroot%_datadir/dbus-1/services/


%files
%_bindir/telegram
%_bindir/telegramdesktop
%_bindir/telegram-desktop-binary
%_bindir/telegram-desktop-altrepo
%_bindir/telegram-desktop
%_desktopdir/%name.desktop
%_iconsdir/hicolor/16x16/apps/%name.png
%_iconsdir/hicolor/32x32/apps/%name.png
%_iconsdir/hicolor/48x48/apps/%name.png
%_iconsdir/hicolor/64x64/apps/%name.png
%_iconsdir/hicolor/128x128/apps/%name.png
%_iconsdir/hicolor/256x256/apps/%name.png
%_iconsdir/hicolor/512x512/apps/%name.png
%_datadir/metainfo/org.telegram.desktop.altrepo.metainfo.xml
%_datadir/dbus-1/services/org.telegram.desktop.altrepo.service 


%changelog
* Fri Nov 10 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 4.11.6-alt1
- New version
- Rename telegram-desktop-binary to telegram-desktop-altrepo

* Tue Nov 07 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 4.11.5-alt1
- New version

* Fri Nov 04 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 4.11.3-alt1
- New version

* Wed Nov 02 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 4.11.2-alt1
- New version

* Tue Oct 24 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 4.10.5-alt1
- New version

* Sun Oct 22 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 4.10.4-alt1.beta1
- New beta version

* Tue Oct 3 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 4.10.3-alt1
- New version

* Sun Oct 1 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 4.10.2-alt1
- New version

* Wed Sep 25 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 4.10.1-alt1
- New version

* Wed Sep 24 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 4.10.0-alt1
- New version

* Wed Sep 20 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 4.9.9-alt1
- New version

* Sun Sep 17 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 4.9.8-alt1
- New version

* Thu Sep 14 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 4.9.7-alt1
- New version

* Wed Sep 06 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 4.9.5-alt1
- New version

* Fri Sep 01 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 4.9.4-alt1
- New version

* Wed Aug 23 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 4.9.3-alt1
- New version

* Wed Aug 16 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 4.9.1-alt1
- New version

* Tue Aug 15 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 4.9.0-alt1
- New version

* Sat Jul 30 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 4.8.10-alt1
- New version

* Sat Jul 22 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 4.8.7-alt1
- New version

* Sat Jul 21 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 4.8.6-alt1
- New version

* Sat Jun 17 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 4.8.4-alt1
- New version

* Sat Jun 10 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 4.8.3-alt1
- New version

* Mon May 22 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 4.8.2-alt1
- New version

* Thu Apr 27 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 4.8.1-alt1
- New version

* Fri Mar 27 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 4.7.1-alt1
- New version

* Fri Mar 17 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 4.6.11-alt1.beta1
- New version

* Fri Mar 10 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 4.6.8-alt1.beta1
- New version

* Sun Feb 09 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 4.6.2-alt1
- New version

* Sun Feb 05 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 4.6-alt1
- New version

* Fri Jan 27 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 4.5.8-alt1.beta1
- New beta version

* Fri Dec 20 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 4.5.7-alt1.beta1
- New beta version

* Sun Dec 09 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 4.4.1-alt1
- New version 

* Fri Dec 09 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 4.4-alt1
- New version 

* Wed Dec 07 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 4.3.4-alt1
- New version 

* Sat Nov 05 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 4.3.1-alt1
- New version 

* Sun Sep 18 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 4.2-alt1
- New version 

* Sat Aug 27 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 4.1.1-alt1
- New version 

* Mon Aug 15 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 4.1-alt1
- New version 

* Sun Jun 26 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 4.0.2-alt1
- New version

* Wed Apr 29 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 3.7.3-alt1
- New version

* Wed Apr 22 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 3.7.1-alt1
- New version

* Mon Apr 18 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 3.7-alt1
- New version

* Sat Mar 19 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 3.6.1-alt1
- New version

* Sat Mar 12 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 3.6-alt1
- New version
- Add _binary_filedigest_algorithm=1 for P8

* Thu Feb 10 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 3.5.2-alt1
- New version

* Wed Feb 2 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 3.5-alt1
- New version

* Tue Jan 21 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 3.4.8-alt2
- DESKTOP_APP_USE_PACKAGED_FONTS=OFF

* Tue Jan 20 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 3.4.8-alt1
- New version

* Tue Jan 4 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 3.4.3-alt1
- New version

* Tue Dec 9 2021 Anton Shevtsov <x09@altlinux.org> <shevtsov.anton@gmail.com> 3.3.0-alt1
- New version

* Sat Nov 14 2021 Anton Shevtsov <x09@altlinux.org> <shevtsov.anton@gmail.com> 3.2.4-alt1
- New version

* Mon Nov 8 2021 Anton Shevtsov <x09@altlinux.org> <shevtsov.anton@gmail.com> 3.2.2-alt2
- New version

* Mon Oct 11 2021  Anton Shevtsov <x09@altlinux.org> 3.1.9-alt1
- New version

* Sun Sep 26 2021  Anton Shevtsov <x09@altlinux.org> 3.1.1-alt1
- New version

* Mon Sep 21 2021 Anton Shevtsov <x09@altlinux.org> 3.1.0-alt5
- Rebuild binary from official source code
- disable autoupdate
- disable desktop file creating

* Mon Sep 20 2021 Anton Shevtsov <x09@altlinux.org> 3.1.0-alt2
- New version 3.1.0
- add -noupdate option

* Wed Sep 15 2021 Anton Shevtsov <x09@altlinux.org> 3.0.1-alt1
- Init version

